org.gitana.platform.support

## Interface Paginated

All Known Subinterfaces:
  ResultMap<V>

All Known Implementing Classes:
  ResultMapImpl

    public interface Paginated

Author:
  uzi

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `offset()`
`int` `size()`
`int` `totalRows()`

### Method Detail

#### totalRows

    int totalRows()

Returns:
  total number of rows available in the database

#### offset

    int offset()

Returns:
  the offset into the database results

#### size

    int size()

Returns:
  the size of the paginated set (subset)